Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fixed warning about wrong Python version.

  • Loading branch information...
commit 0fded189d8ef5b7f2674f68ad8d28d05350d2fb5 1 parent 874e126
@boronine authored
Showing with 2 additions and 2 deletions.
  1. +2 −2 pypyenv
View
4 pypyenv
@@ -16,6 +16,7 @@ binpypy = os.path.join(bindir, "pypy")
pypydir = "pypy"
version = sys.version[:3]
+yes = ("y","yes")
def out(s):
print " * " + s
@@ -81,7 +82,6 @@ def uninstall():
sys.exit(1)
def confirm_deletion(tree):
- yes = ("y","yes")
return raw_input("Delete ENV/%s? [y/N] " % tree) in yes
help_message = """pypyenv install - installs PyPy in this virtualenv
@@ -91,7 +91,7 @@ pypyenv uninstall - uninstalls PyPy from this virtualenv
if __name__ == "__main__":
if version != "2.5":
if not raw_input("PyPy implements Python 2.5, you are using a " \
- "different version, continue? [y/N] "):
+ "different version, continue? [y/N] ") in yes:
sys.exit(1)
try:
opts, args = getopt.getopt(sys.argv[1:], "", ["nojit"])
Please sign in to comment.
Something went wrong with that request. Please try again.